Retrieve Available Models
curl --request GET \
--url https://app.famulor.de/api/user/assistants/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/assistants/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 1,
"name": "GPT-4o-mini"
},
{
"id": 2,
"name": "GPT-4.1-mini"
}
]
[
{
"id": 1,
"name": "GPT-4o",
"code": "gpt-4o-realtime"
},
{
"id": 4,
"name": "GPT Realtime",
"code": "gpt-realtime"
}
]
Retrieve Available Models
Retrieve available AI models for assistant configuration
GET
/
api
/
user
/
assistants
/
models
Retrieve Available Models
This endpoint returns a list of available AI models that can be used when creating or updating assistants.
Query Parameters
string
default:"llm"
The type of models to retrieve, based on the engine mode:
llm- LLM models for the pipeline mode (default)multimodal- Multimodal models for the multimodal modedualplex- Multimodal models for the dualplex mode
Response Fields
array
[
{
"id": 1,
"name": "GPT-4o-mini"
},
{
"id": 2,
"name": "GPT-4.1-mini"
}
]
[
{
"id": 1,
"name": "GPT-4o",
"code": "gpt-4o-realtime"
},
{
"id": 4,
"name": "GPT Realtime",
"code": "gpt-realtime"
}
]
Notes
- If no
typeparameter is provided, LLM models are returned by default - Use the
llm_model_idfield when creating pipeline assistants - Use the
multimodal_model_idfield when creating multimodal or dualplex assistants
Related pages: Introduction and Authentication Guide, and API Integration Examples.
⌘I